#include <Foundation/NSString.h>
@interface NSFramework_General : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_General
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib64/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"FilteredEnumerator", @"PSortedArray", @"TranslationTable", @"PTime", @"ColoredSwitchButtonCell", @"ArrayRangeEnumerator", @"ReverseArrayRangeEnumerator", @"UniqueString", @"MultiEnumerator", @"SourceCodeReference", @"PajeComponent", @"PajeFilter", @"HierarchyBrowser", @"PajeCategorizedEntityType", @"PajeContainerType", @"PajeEntityType", @"PajeEventType", @"PajeLinkType", @"PajeStateType", @"PajeVariableType", @"PajeContainer", @"PajeEntity", @"InnerStatesCell", @"PajeEntityInspector", @"DataScanner", @"PajeEvent", @"PajeEventDefinition", @"SourceTextController", @"Association", @"CondensedEntitiesArray", @"EntityChunk", @"ChunkArray", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
